### Enumeration

# WebKit AuthenticationScheme

since: 2.2

#### Declaration

    enum WebKit.AuthenticationScheme

#### Description [src]

Enum values representing the authentication scheme.

Available since: 2.2

#### Members

`WEBKIT_AUTHENTICATION_SCHEME_DEFAULT`

  The default authentication scheme of WebKit.

  - Value: `1`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_HTTP_BASIC`

  Basic authentication scheme as defined in RFC 2617.

  - Value: `2`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_HTTP_DIGEST`

  Digest authentication scheme as defined in RFC 2617.

  - Value: `3`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_HTML_FORM`

  HTML Form authentication.

  - Value: `4`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_NTLM`

  NTLM Microsoft proprietary authentication scheme.

  - Value: `5`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_NEGOTIATE`

  Negotiate (or SPNEGO) authentication scheme as defined in RFC 4559.

  - Value: `6`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_CLIENT_CERTIFICATE_REQUESTED`

  Client Certificate Authentication (see RFC 2246).

  - Value: `7`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_SERVER_TRUST_EVALUATION_REQUESTED`

  Server Trust Authentication.

  - Value: `8`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_CLIENT_CERTIFICATE_PIN_REQUESTED`

  Client certificate PIN required for use. Since: 2.34.

  - Value: `9`
  - Available since: 2.2
`WEBKIT_AUTHENTICATION_SCHEME_UNKNOWN`

  Authentication scheme unknown.

  - Value: `100`
  - Available since: 2.2